package com.jsowell.pile.dto;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * uniapp查询用户信息DTO
 *
 * @author JS-ZZA
 * @date 2022/11/19 14:53
 */
@Data
public class BaseMemberDTO {
    /**
     * 用户令牌
     */
    private String memberToken;

    /**
     * 会员Id
     */
    private String memberId;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("memberToken", memberToken)
                .append("memberId", memberId)
                .toString();
    }
}
